Name:		xdrfile
Version:	1.1.4
Release:	2%{?dist}
Summary:	C-library for reading and writing GROMACS trr and xtc files
License:	BSD
URL:		http://www.gromacs.org/Developer_Zone/Programming_Guide/XTC_Library
Source0:	ftp://ftp.gromacs.org/pub/contrib/%{name}-%{version}.tar.gz

%description
xdrfile is a small C-library for reading and writing trr and xtc files. The 
library is lightweight (no dependencies, portable) and can be incorporated in 
other software, because it is being distributed under the BSD license. The 
library also contains one program trr2xtc which does what you would expect, 
and the other way around.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q 
[ -s ChangeLog ] && exit 1 # exit if file has non-zero size

%build
%configure --enable-shared --disable-static
# Get rid of rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install INSTALL="install -p"

find %{buildroot} -name '*.la' -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING NEWS README 
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%{_libdir}/*.so
%{_includedir}/%{name}/

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 29 2014 Christopher Meng <rpm@cicku.me> - 1.1.4-1
- Update to 1.1.4
- Change License to BSD(should be done years ago).

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 08 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1.1-1
- Update to 1.1.1.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1-2
- Conserve timestamps during install, fix URL & Source0.

* Mon May 18 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1-1
- Update to 1.1 that fixes licensing and other issues.

* Wed Apr 08 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0-1
- First release.
